<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.924" />

    <androidx.viewpager.widget.ViewPager
        android:id="@+id/view_pager"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_indicator"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:visibility="gone"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/guideline"
        tools:itemCount="6"
        tools:listitem="@layout/listitem_indicator" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_guide"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@mipmap/ic_guide_bg">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_cover"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:src="@mipmap/ic_guide_cover"
            app:layout_constraintDimensionRatio="h,1125:1491"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_27"
            android:text="视频搬运工具"
            android:textColor="#0B2449"
            android:textSize="32sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/iv_cover" />

        <TextView
            android:id="@+id/tv_desc"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_54"
            android:layout_marginTop="@dimen/dp_12"
            android:layout_marginEnd="@dimen/dp_54"
            android:gravity="center"
            android:text="适用于抖音、快手、拼多多、B站、淘宝、京东等主流APP"
            android:textColor="#1E385D"
            android:textSize="@dimen/sp_16"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_title" />

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/btn_start"
            android:layout_width="180dp"
            android:layout_height="40dp"
            android:text="立即使用"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            app:csb_activeEnable="true"
            app:csb_cornerRadius="@dimen/dp_25"
            app:csb_fillColor="@color/color_125ffe"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_desc" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>